Magick++ 6.9.6

Public Member Functions | List of all members
Magick::PathSmoothQuadraticCurvetoRel Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathSmoothQuadraticCurvetoRel:
[legend]
Collaboration diagram for Magick::PathSmoothQuadraticCurvetoRel:
[legend]

## Public Member Functions
| PathSmoothQuadraticCurvetoRel (const Magick::Coordinate &coordinate_)
| PathSmoothQuadraticCurvetoRel (const CoordinateList &coordinates_)
| PathSmoothQuadraticCurvetoRel (const PathSmoothQuadraticCurvetoRel &original_)
| ~PathSmoothQuadraticCurvetoRel (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2796 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::PathSmoothQuadraticCurvetoRel::PathSmoothQuadraticCurvetoRel | ( | const Magick::Coordinate & | coordinate_ | ) |

Definition at line 2094 of file Drawable.cpp.

Magick::PathSmoothQuadraticCurvetoRel::PathSmoothQuadraticCurvetoRel | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 2099 of file Drawable.cpp.

Magick::PathSmoothQuadraticCurvetoRel::PathSmoothQuadraticCurvetoRel | ( | const PathSmoothQuadraticCurvetoRel & | original_ | ) |

Definition at line 2104 of file Drawable.cpp.

Magick::PathSmoothQuadraticCurvetoRel::~PathSmoothQuadraticCurvetoRel | ( | void |  | ) |

Definition at line 2109 of file Drawable.cpp.

## Member Function Documentation

Magick::VPathBase * Magick::PathSmoothQuadraticCurvetoRel::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2121 of file Drawable.cpp.

void Magick::PathSmoothQuadraticCurvetoRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2113 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp